﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;

public class CalculateChargeCapacitor : MonoBehaviour
{
    public TMP_InputField valueSource;
    public TMP_InputField valueCapacitor;
    public TMP_InputField valueResistor;
    public TextMeshProUGUI txtValuesTime;
    public TextMeshProUGUI txtValuesVoltage;
    public TextMeshProUGUI txtValuesCharge;
    public Transform capacitorTransform;
    public GameObject valuePanel;
    

    float source=0;
    float capacitor=0;
    float resistor=0;
    float tau=0;

    float[,] values=new float[5,3];
    int i = 0;

    // Start is called before the first frame update
    void Start()
    {
        valuePanel.SetActive(false);
    }


    public void calculate()
    {
        capacitorTransform.rotation = Quaternion.Euler(90f, 90f, 0f);
        capacitorTransform.position = new Vector3(-2.88f, 3.8f, 0.1f);

        valuePanel.SetActive(true);

        source = float.Parse(valueSource.text);
        capacitor = float.Parse(valueCapacitor.text)/1000000;
        resistor = float.Parse(valueResistor.text);

        tau = capacitor * resistor;
        Debug.Log("Valor tau: "+tau);
        for(i=0;i<5;i++)
        {
            values[i, 0] = (i+1) * tau;
            values[i, 1] = source * (1-Mathf.Exp(-(i+1)));
            values[i, 2] = values[i, 1] * 100 / source;
        }

        txtValuesTime.text = values[0, 0] + " s\n" + values[1, 0] + " s\n" + values[2, 0] + " s\n" + values[3, 0] + " s\n" + values[4, 0] + " s";
        txtValuesVoltage.text = values[0, 1].ToString("N3") + " V\n" + values[1, 1].ToString("N3") + " V\n" + values[2, 1].ToString("N3") + " V\n" + values[3, 1].ToString("N3") + " V\n" + values[4, 1].ToString("N3") + " V";
        txtValuesCharge.text = values[0, 2].ToString("N0") + " %\n" + values[1, 2].ToString("N0") + " %\n" + values[2, 2].ToString("N0") + " %\n" + values[3, 2].ToString("N0") + " %\n" + values[4, 2].ToString("N0") + " %";

    }
}
