﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;

public class ShowAnimationGif : MonoBehaviour
{
    public RawImage imgMediaOnda;
    public RawImage imgOndaCompleta;
    public TextMeshProUGUI subTitle;
    public TextMeshProUGUI description;

    public Transform diode;

    string[,] txtDescriptions = { { "Rectificación media onda", "Este circuito permite el paso de la señal alterna en un solo sentido, recortando de esta forma la mitad de la señal.\n\nEn la imagen de la izquierda se observa como solo deja pasar la parte positiva de la señal y recorta la parte negativa." }, 
                                  { "Rectificación onda completa","Circuito ampliamente utilizado en el desarrollo de fuentes de voltaje DC para realizar la conversión de corriente alterna (AC) al corriente directa (DC). A diferencia del circuito rectificador de media onda, este aprovecha todo el ciclo de la señal alterna, al no recortar la señal en los ciclos negativos sino invirtiendo estos."} };


    // Start is called before the first frame update
    void Start()
    {
        imgMediaOnda.enabled = false;
        imgOndaCompleta.enabled = false;
    }

    public void showImage(int id_img)
    {
        diode.rotation = Quaternion.Euler(0f, 0f, 0f);
        diode.position = new Vector3(-2.2f,4.3f,2f);

        if (id_img == 0)
        {
            imgMediaOnda.enabled = true;
            imgOndaCompleta.enabled = false;
        }
        else
        {
            imgOndaCompleta.enabled = true;
            imgMediaOnda.enabled = false;
        }

        subTitle.text = txtDescriptions[id_img,0];
        description.text = txtDescriptions[id_img, 1];
    }
}
